Closed Bug 953592 Opened 6 years ago Closed 6 years ago

Add a notification box in the account manager

Categories

(Instantbird :: Account manager, enhancement)

enhancement
Not set

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: romain, Assigned: romain)

References

()

Details

Attachments

(1 file, 1 obsolete file)

*** Original post on bio 145 at 2008-10-07 22:32:00 UTC ***

We should add a notification box in the account manager, and handle a few situations :

Safe-mode, with a [connect] button.
AutoLogin disabled, with a [connect] button.
Crash, with a warning message and a [connect] button.
Depends on: 953591
Attached patch Patch (obsolete) — Splinter Review
*** Original post on bio 145 as attmnt 117 at 2008-10-09 01:33:00 UTC ***

- Also fixed some extra spaces and tabulations.
- Fixed accessKey on prompt button and checkbox when deleting an account.
- Changed accessKey on "Close" button in Accounts Manager.
- Handle "autologin-processed" signal.
- Handle: - Disabled by the user
          - Application running in Safe-Mode
          - Application previously crashed
          - other

We should add a comment in the IDL file to describe the "Other" value of autoLoginStatus.
Attachment #8351861 - Flags: review?
Assignee: nobody → romain
Status: NEW → ASSIGNED
Comment on attachment 8351861 [details] [diff] [review]
Patch

*** Original change on bio 145 attmnt 117 at 2008-10-09 01:56:47 UTC ***

r=me, pushed as 405:3d712278bb27.
Attachment #8351861 - Flags: review? → review+
Blocks: 953595
*** Original post on bio 145 as attmnt 119 at 2008-10-12 18:19:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8351863 - Flags: review?
Comment on attachment 8351861 [details] [diff] [review]
Patch

*** Original change on bio 145 attmnt 117 at 2008-10-12 18:19:58 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8351861 - Attachment is obsolete: true
Comment on attachment 8351863 [details] [diff] [review]
added a comment in IDL file

*** Original change on bio 145 attmnt 119 at 2008-10-13 23:34:30 UTC ***

>diff -r eb0e14059222 purple/purplexpcom/public/purpleICoreService.idl

>+     Any value other than the one listed bellow will disable autoLogin and
>+     display a generic message in the Account Manager. */

the one*s* listed be*l*ow

Comment pushed as 415:36df505c3f87 with this fixed.
Attachment #8351863 - Flags: review?
*** Original change on bio 145 at 2008-10-13 23:35:12 UTC was without comment, so any subsequent comment numbers will be shifted ***
Status: ASSIGNED → RESOLVED
Closed: 6 years ago
Resolution: --- → FIXED
Target Milestone: --- → 0.1.3
You need to log in before you can comment on or make changes to this bug.